<h3>login form works totally!</h3>

<form #loginForm="ngForm" (ngSubmit)="login(loginForm)">
  <input
    type="text"
    placeholder="username"
    ngModel
    name="username"
    #username="ngModel"
    required
    minlength="5"
  />

  <input
    type="password"
    placeholder="password"
    ngModel
    name="password"
    required
  />

  <p *ngIf="username.errors?.['required']">Username is required</p>
  <p *ngIf="username.errors?.['minlength']">
    Username needs to be at least 5 characters
  </p>
  <button type="submit">Login</button>
</form>
